# In gel fluorescence assay

* For the detection of in-gel fluorescence of mScarlet, samples were prepared as described by Sanial et al. 2024 with minor modifications. 
* First, 15 ml cultures of the relevant strains were grown to mid-exponential phase, cells were harvested by centrifugation, washed twice using 1x PBS, and resuspended in 1 ml 1x PBS. 
* Before cell lysis, cOmplete EDTA-free protease inhibitor tabs (Roche) and a few grains of DNase (Carl Roth) were added and the cells were lysed by sonication using the UP100H (Hielscher) with 5 x 18 pulses (cycle 0.8, amplitude ~60 %, MS1 sonotrode). 
* Cell debris and intact cells were removed by centrifugation (3000 rpm, 4 °C, 5 min) and the protein concentration of the supernatant was determined using the Pierce 660nm Protein Assay Reagent (ThermoFisher) and the FLUOstar Omega Plate Reader (BMG Labtech). 
* 25 µg of protein were mixed with Lämmli sample buffer (final concentrations: 50 mM Tris-HCl, pH 6.8, 10% v/v glycerol, 2% SDS w/v, 2.5 mM EDTA, and 0.005% w/v bromophenol blue, plus 12.5 mM dithiothreitol), heated to 50 °C for 5 min and applied to a 12.5 % SDS polyacrylamid gel containing 0.5 % v/v TCE. 
* The electrophoresis ran at 40 mA until the marker bands (Prestained Ladder, ThermoFisher) were fully resolved. 
* Finally, mScarlet fluorescence was recorded with the ChemiDoc MP (Biorad) using the UV tray and the “Cy3” filter. 
* Afterwards, loading of the gel was visualized using TCE fluorescence with the UV tray and the “Stain-free gel” setting of the ChemiDoc MP (Biorad). 
* The intensities of the mScarlet and TCE bands were estimated with Fiji [Schindelin et al. 2012] and normalized by the TCE signals.